<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Task6_4</title>
	<link rel="stylesheet" type="text/css" href="task4.css">
</head>
<body>
	<table border="1 solid" id="firstTable" style="margin: 10px;">
		<tr>
			<td><img src="calc.png" src="calc" style="margin: 3px;"><span style=" vertical-align: top;">Calculator</span></td>
		</tr>
		<tr>
			<td>
				<table border="0">
					<tr style="background: white;">
						<td width="10%">View</td>
						<td width="10%">Edit</td>
						<td width="80%">Help</td>
					</tr>
					<tr>
						<td colspan="3" align="center"><input id="output" name="text" type="text" readonly value="0"></td>
					</tr>
					<tr style="color: rgb(44, 115, 125); width: 95%;">
						<td colspan="3">
							<table border="1" width="397px" id="tableWithZero">
								<tr>
									<td>
										<table align="center" width="50%" class="tableZero">
											<tr>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
											</tr>
											<tr>
												<td>63</td>
												<td></td>
												<td></td>
												<td></td>
											</tr>
											<tr>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
											</tr>
											<tr>
												<td>31</td>
												<td></td>
												<td></td>
												<td></td>
											</tr>
										</table>
									</td>
									<td>
										<table align="center" class="tableZero">
											<tr>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
											</tr>
											<tr>
												<td>47</td>
												<td></td>
												<td></td>
												<td align="right">32</td>
											</tr>
											<tr>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
												<td>0000</td>
											</tr>
											<tr>
												<td>15</td>
												<td></td>
												<td></td>
												<td align="right">0</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr style="color: rgb(44, 115, 125);">
						<td colspan="3">
							<table border="0">
								<tr>
									<td rowspan="3">
										<table border="1" width="75px" id="tableWithRad">
											<tr>
												<td>
													<input type="radio" name="rad">Hex
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad">Dec
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad">Oct
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad">Bin
												</td>
											</tr>
										</table>
									</td>
									<td>
										<button></button>
									</td>
									<td>
										<button type="button" class="mode">Mod</button>
									</td>
									<td>
										<button type="button">A</button>
									</td>
									<td>
										<button type="button">MC</button>
									</td>
									<td>
										<button type="button">MR</button>
									</td>
									<td>
										<button type="button">MS</button>
									</td>
									<td>
										<button type="button">M+</button>
									</td>
									<td>
										<button type="button">M-</button>
									</td>
								</tr>
								<tr>
									<td>
										<button type="button" class="mode">(</button>
									</td>
									<td>
										<button type="button" class="mode">)</button>
									</td>
									<td>
										<button type="button">B</button>
									</td>
									<td>
										<button type="button">←</button>
									</td>
									<td>
										<button type="button">CE</button>
									</td>
									<td>
										<button type="button">C</button>
									</td>
									<td>
										<button type="button">±</button>
									</td>
									<td>
										<button type="button">√</button>
									</td>
								</tr>
								<tr>
									<td>
										<button type="button" class="mode">Rol</button>
									</td>
									<td>
										<button type="button" class="mode">RoR</button>
									</td>
									<td>
										<button type="button">C</button>
									</td>
									<td>
										<button type="button" class="number">7</button>
									</td>
									<td>
										<button type="button" class="number">8</button>
									</td>
									<td>
										<button type="button" class="number">9</button>
									</td>
									<td>
										<button type="button">/</button>
									</td>
									<td>
										<button type="button">%</button>
									</td>
								</tr>
								<tr>
									<td rowspan="3">
										<table border="1" width="75px" id="tableWithRad">
											<tr>
												<td>
													<input type="radio" name="rad2">Qword
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad2">Dword
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad2">Word
												</td>
											</tr>
											<tr>
												<td>
													<input type="radio" name="rad2">Byte
												</td>
											</tr>
										</table>
									</td>
									<td>
										<button type="button" class="mode">Or</button>
									</td>
									<td>
										<button type="button" class="mode">Xor</button>
									</td>
									<td>
										<button type="button">D</button>
									</td>
									<td>
										<button type="button" class="number">4</button>
									</td>
									<td>
										<button type="button" class="number">5</button>
									</td>
									<td>
										<button type="button" class="number">6</button>
									</td>
									<td>
										<button type="button">*</button>
									</td>
									<td>
										<button type="button">1/x</button>
									</td>
								</tr>
								<tr>
									<td>
										<button type="button" class="mode">Lsh</button>
									</td>
									<td>
										<button type="button" class="mode">Rsh</button>
									</td>
									<td>
										<button type="button">E</button>
									</td>
									<td>
										<button type="button" class="number">1</button>
									</td>
									<td>
										<button type="button" class="number">2</button>
									</td>
									<td>
										<button type="button" class="number">3</button>
									</td>
									<td>
										<button type="button">-</button>
									</td>
									<td rowspan="2">
										<button type="button" style="height: 75px;">=</button>
									</td>
								</tr>
								<tr>
									<td>
										<button type="button" class="mode">Not</button>
									</td>
									<td>
										<button type="button" class="mode">And</button>
									</td>
									<td>
										<button type="button">F</button>
									</td>
									<td colspan="2">
										<button type="button" style="width: 95px" class="number">0</button>
									</td>
									<td>
										<button type="button">,</button>
									</td>
									<td>
										<button type="button">+</button>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</body>
</html>